com.sun.messaging.jms.notification

## Class ConnectionReconnectedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.sun.messaging.jms.notification.Event
    - - com.sun.messaging.jms.notification.ConnectionEvent
      - - com.sun.messaging.jms.notification.ConnectionReconnectedEvent

- All Implemented Interfaces:
    Serializable

      public class ConnectionReconnectedEvent
      extends ConnectionEvent

  MQ Connection Reconnected Event is generated and delivered to the event listener if the MQ client runtime reconnected to a broker and an event listener is set to the MQ connection.

  The application can obtain the current broker's address from the API provided.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTION_RECONNECTED` Connection reconnected event code.

    - ### Fields inherited from class com.sun.messaging.jms.notification.ConnectionEvent

      `connection`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionReconnectedEvent(Connection conn, String evCode, String evMessage)` Construct a connection reconnect event.

  - ### Method Summary

    - ### Methods inherited from class com.sun.messaging.jms.notification.ConnectionEvent

      `getBrokerAddress, getConnection, getSource`

    - ### Methods inherited from class com.sun.messaging.jms.notification.Event

      `getEventCode, getEventMessage, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_RECONNECTED

          public static final String CONNECTION_RECONNECTED

      Connection reconnected event code.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionReconnectedEvent

          public ConnectionReconnectedEvent(Connection conn,
                                    String evCode,
                                    String evMessage)

      Construct a connection reconnect event.
      Parameters:
        `conn` - the connection associated with this event object.
        `evCode` - the event code that represents this event object.
        `evMessage` - the event message that describes this event object.

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.